Package Gnumed :: Package wxpython :: Package gui :: Module gmAU_VaccV01Plugin :: Class gmAU_VaccV01Plugin |
[frames] | no frames]

# Class gmAU_VaccV01Plugin

source code

    gmPlugin.cNotebookPlugin --+
                               |
                              gmAU_VaccV01Plugin

Plugin to encapsulate patient AU_VaccV01 window.

Instance Methods
name(self) | source code
GetWidget(self, parent) | source code
MenuInfo(self) Return tuple of (menuname, menuitem). | source code
can_receive_focus(self) Called when this plugin is *about to* receive focus. | source code
Inherited from `gmPlugin.cNotebookPlugin`: `OnShow`, `Raise`, `__init__`, `on_load`, `receive_focus`, `register`, `unregister`

Class Variables
| tab_name = `_('AU Vacc')`

Method Details

### name(self) | source code
Overrides: gmPlugin.cNotebookPlugin.name

### MenuInfo(self) | source code
Return tuple of (menuname, menuitem). None: no menu entry wanted Overrides: gmPlugin.cNotebookPlugin.MenuInfo (inherited documentation)

### can_receive_focus(self) | source code
Called when this plugin is *about to* receive focus. If None returned from here (or from overriders) the plugin activation will be veto()ed (if it can be). Overrides: gmPlugin.cNotebookPlugin.can_receive_focus (inherited documentation)